<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script>
        //1.20. Rest Parameter
        function sumNumbers(para1, ...numbers) {
            console.log(para1);
            console.log(numbers);
        }
        sumNumbers(2);
        sumNumbers(2, 3);
        sumNumbers(2, 3, 100);

        //spread operator for function
        let arr = [1, 3, 5];
        console.log(...arr);
        sumNumbers(5, ...arr);//   sumNumbers(5 , 1, 3, 5)     

        function myFn(param_1, param_2, ...param_5) {
            debugger;
            console.log(param_1);
            console.log(param_2);
            console.log(param_5);
        }
        var args = [9, 3, 4];
        myFn(1,...args,5);

    </script>
</head>

<body>

</body>

</html>